Get issue comments count
GET
/issuecomments/countGet count of comments for a specific issue
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, IssueCommentsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new IssueCommentsApi(config);
const result = await api.getIssueCommentsCount({ "project": 123, "issue": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/issuecomments/count?token=$TESTCOLLAB_TOKEN&project=123&issue=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
issue |
query | number | Yes | Issue ID |
Response
Section titled “Response”200 — Count of issue comments
| Field | Type | Required | Description |
|---|---|---|---|
count |
number | Yes | — |
{ "count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |